Skip to content

upsertMaintenanceScheduleItem

WRITE

Upsert maintenance schedule item.

POST /api/v1/resources/upsertMaintenanceScheduleItem
curl -X POST '<your-host>/api/v1/resources/upsertMaintenanceScheduleItem' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "maintenanceScheduleId": "string",
    "itemId": "string",
    "quantity": 0,
    "unitOfMeasureCode": "string",
    "_operation": "create"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"
min length 1
min length 1
min 1
min length 1

Input schema

schema
{
  "type": "object",
  "properties": {
    "maintenanceScheduleId": {
      "type": "string",
      "minLength": 1
    },
    "itemId": {
      "type": "string",
      "minLength": 1
    },
    "quantity": {
      "type": "number",
      "minimum": 1
    },
    "unitOfMeasureCode": {
      "type": "string",
      "minLength": 1
    },
    "id": {
      "type": "string"
    },
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "maintenanceScheduleId",
    "itemId",
    "quantity",
    "unitOfMeasureCode",
    "_operation"
  ]
}